Subject: Re: [wpan-next v2 01/27] net: mac802154: Split the set channel hook implementation

From: Miquel Raynal <[email-masked]>
Date: Thu, 13 Jan 2022 12:12:22 +0100

Hi Alexander,

[email-masked] wrote on Wed, 12 Jan 2022 17:53:57 -0500:

> Hi,
> 
> On Wed, 12 Jan 2022 at 17:30, Alexander Aring <[email-masked]> wrote:
> >
> > Hi,
> >
> > On Wed, 12 Jan 2022 at 12:33, Miquel Raynal <[email-masked]> wrote:  
> > >
> > > As it is currently designed, the set_channel() cfg802154 hook
> > > implemented in the softMAC is doing a couple of checks before actually
> > > performing the channel change. However, as we enhance the support for
> > > automatically setting the symbol duration during channel changes, it
> > > will also be needed to ensure that the corresponding channel as properly
> > > be selected at probe time. In order to verify this, we will need to  
> >
> > no, we don't set channels at probe time. We set the
> > current_page/channel whatever the default is according to the hardware
> > datasheet. I think this channel should be dropped and all drivers set  
> 
> s/channel/patch/

I've dropped the patch and put an additional call to
_set_symbol_duration() in the hw registration routine as discussed
initially.

Thanks,
Miquèl